Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli
Class AsyncFileHandler.LogEntry

    java.lang.Object
      org.apache.juli.AsyncFileHandler.LogEntry

Enclosing class:
  AsyncFileHandler

    protected static class AsyncFileHandler.LogEntry

extends Object

Constructor Summary
`AsyncFileHandler.LogEntry(LogRecord record, AsyncFileHandler handler)`

Method Summary
`boolean` | `flush()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncFileHandler.LogEntry

    public AsyncFileHandler.LogEntry(LogRecord record,
                                     AsyncFileHandler handler)

Method Detail

### flush

    public boolean flush()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.